Batch upload Users

Uploads an array of Users with optional Password and migration configuration.

POST
/bulk/upsert

Uploads an array of Users with optional Password and migration configuration.

Authorization

APIKey APISecret
apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://migration.loginradius.com/v2/bulk/upsert" \  -H "Content-Type: application/json" \  -d '{    "Profiles": [      {        "FirstName": "Ajay",        "LastName": "Sharma",        "Email": [          {            "Type": "Primary",            "Value": "ajaysharma@yopmail.com"          }        ],        "PasswordHash": "Rfc2898DeriveBytes$1000$VAh9OF7J0c2p2kpx4ozwDg==$6cwqAkcvs6+zadhoH9kiuWhjNuC84PhrUbMew0fBO6k=:BA4zsWmfF"      },      {        "FirstName": "Priya",        "LastName": "Patel",        "Email": [          {            "Type": "Primary",            "Value": "priya.patel@tempmail.com"          }        ],        "PasswordHash": "Rfc2898DeriveBytes$1000$XBk2PG8K1d3q3lry5paxEh==$7dxrBlcws7+zbeipiI0ljvXikOvD95QisVcNfx1gCP7l=:CB5atXngG"      },      {        "FirstName": "Rajesh",        "LastName": "Kumar",        "Email": [          {            "Type": "Primary",            "Value": "rajesh.kumar@mailbox.org"          }        ],        "PasswordHash": "Rfc2898DeriveBytes$1000$YCl3QH9L2e4r4msz6qbyFi==$8eysCmd xt8+acrjqjJ1mkwYjlPwE06RjtWdOgy2hDQ8m=:DC6buYohH"      },      {        "FirstName": "Sneha",        "LastName": "Gupta",        "Email": [          {            "Type": "Primary",            "Value": "sneha.gupta@guerrillamail.com"          }        ],        "PasswordHash": "Rfc2898DeriveBytes$1000$ZDm4RI0M3f5s5nta7rcxGj==$9fztDney5u9+bdsksKk2nlxZkmQxF17SjuXePhz3hEQ9n=:ED7cvZpiI"      }    ]  }'

{
  "Profile": {
    "RecordInserted": 150,
    "RecordUpdated": 20,
    "Failed": []
  }
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}